﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class OtherIncomeType : CustomBaseObject
    {
        public OtherIncomeType() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public OtherIncomeType(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        string otherIncomeDescription;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string OtherIncomeDescription
        {
            get => otherIncomeDescription;
            set => SetPropertyValue(nameof(OtherIncomeDescription), ref otherIncomeDescription, value);
        }


        [Association("OtherIncomeType-OtherIncomes")]
        public XPCollection<OtherIncome> OtherIncomes
        {
            get
            {
                return GetCollection<OtherIncome>(nameof(OtherIncomes));
            }
        }


    }

}