﻿
using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class PaymentType : CustomBaseObject
       {
        public PaymentType() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public PaymentType(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        string nameOfPayment;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string NameOfPayment
        {
            get => nameOfPayment;
            set => SetPropertyValue(nameof(NameOfPayment), ref nameOfPayment, value);
        }


        [Association("PaymentType-Payments")]
        public XPCollection<Payment> Payments
        {
            get
            {
                return GetCollection<Payment>(nameof(Payments));
            }
        }
        

    }

}