﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]

    public class Subject : CustomBaseObject
    {
        public Subject() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public Subject(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }
           

        Teacher teacher;
        string subjectName;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string SubjectName
        {
            get => subjectName;
            set => SetPropertyValue(nameof(SubjectName), ref subjectName, value);
        }

        string firstGrading;
        [Size(3)]
        public string FirstGrading
        {
            get => firstGrading;
            set => SetPropertyValue(nameof(FirstGrading), ref firstGrading, value);
        }


        string firstGradingRemark;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string FirstGradingRemark
        {
            get => firstGradingRemark;
            set => SetPropertyValue(nameof(FirstGradingRemark), ref firstGradingRemark, value);
        }

        string secondGrading;
        [Size(3)]
        public string SecondGrading
        {
            get => secondGrading;
            set => SetPropertyValue(nameof(SecondGrading), ref secondGrading, value);
        }

        string secondGradingRemark;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string SecondGradingRemark
        {
            get => secondGradingRemark;
            set => SetPropertyValue(nameof(SecondGradingRemark), ref secondGradingRemark, value);
        }

        string thirdGrading;
        [Size(3)]
        public string ThirdGrading
        {
            get => thirdGrading;
            set => SetPropertyValue(nameof(ThirdGrading), ref thirdGrading, value);
        }

        string thirdGradingRemark;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string ThirdGradingRemark
        {
            get => thirdGradingRemark;
            set => SetPropertyValue(nameof(ThirdGradingRemark), ref thirdGradingRemark, value);
        }

        string fourthGrading;
        [Size(3)]
        public string FourthGrading
        {
            get => fourthGrading;
            set => SetPropertyValue(nameof(FourthGrading), ref fourthGrading, value);
        }

        string foruthGradingRemark;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string ForuthGradingRemark
        {
            get => foruthGradingRemark;
            set => SetPropertyValue(nameof(ForuthGradingRemark), ref foruthGradingRemark, value);
        }

        
        [Association("Teacher-Subjects")]
        public Teacher Teacher
        {
            get => teacher;
            set => SetPropertyValue(nameof(Teacher), ref teacher, value);
        }


        

    }

}