﻿using System;
using DevExpress.Persistent.Base;
using DevExpress.Xpo;

namespace K12MIS.Module.BusinessObjects
{
    [DefaultClassOptions]
    public class Expense : CustomBaseObject
    {
        public Expense() : base()
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public Expense(Session session) : base(session)
        {
            // This constructor is used when an object is loaded from a persistent storage.
            // Do not place any code here.
        }

        public override void AfterConstruction()
        {
            base.AfterConstruction();
            // Place here your initialization code.
        }

        ExpenseType expenseType;
        [Association("ExpenseType-Expenses")]
        public ExpenseType ExpenseType
        {
            get => expenseType;
            set => SetPropertyValue(nameof(ExpenseType), ref expenseType, value);
        }
        

        DateTime expenseDate;
        public DateTime ExpenseDate
        {
            get => expenseDate;
            set => SetPropertyValue(nameof(ExpenseDate), ref expenseDate, value);
        }


        decimal expenseAmount;
        public decimal ExpenseAmount
        {
            get => expenseAmount;
            set => SetPropertyValue(nameof(ExpenseAmount), ref expenseAmount, value);
        }


        string expenseDescrtiption;
        [Size(SizeAttribute.DefaultStringMappingFieldSize)]
        public string ExpenseDescrtiption
        {
            get => expenseDescrtiption;
            set => SetPropertyValue(nameof(ExpenseDescrtiption), ref expenseDescrtiption, value);
        }


        //School school;
        //[Association("School-Expenses")]
        //public School School
        //{
        //    get => school;
        //    set => SetPropertyValue(nameof(School), ref school, value);
        //}




    }

}